Package com.icc.util

# Class DBProperties

java.lang.Object
com.icc.util.DBProperties

public class DBProperties extends Object
This class consists of methods related to retrieve the information regarding DataBaseHost, DataBaseName, DataBaseType, Domain,
DriverName, MaximumConnections, MinimumConnections, Schemas, Partitions etc..

Author:
  AnalytiX DS

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `DBProperties.ConnectionPoolType`
  Connection Pool Type to use in the backend
  `static enum`
  `DBProperties.DatabaseType`
  These constants are used to specify the DataBaseType from any of the listed types as, ERWIN, CWM, XMI, XSD, DSV, JSON, EXCEL, MSACCESS,HSQLDB,
  SQLSERVER, SQLSERVERWINDOWS, ORACLE, GREENPLUM, VERTICA, SYBASE, PERVASIVE, TERADATA, DB2, MYSQL, NETEZZA, SAP,
  AMAZON_REDSHIFT("AmazonRedshift"), OTHER, ODBC, BIGQUERY("BigQuery"), BIGDATA_CLOUDERA("Cloudera"), BIGDATA_HORTONWORKS("Hortonworks"), BIGDATA_MAPR("MapR"),SALESFORCE.
  `static enum`
  `DBProperties.Operation`
  These constants are used to specify whether the operation Type is of FRESH_UPLOAD, APPEND, UPDATE_APPEND.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DBProperties()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DBProperties.ConnectionPoolType`
  `getConnectionPoolType()`
  `String`
  `getDatabaseHost()`
  Returns the databaseHost.
  `String`
  `getDatabaseName()`
  Returns the databaseName.
  `String`
  `getDatabaseOptions()`
  `DBProperties.DatabaseType`
  `getDatabaseType()`
  Returns the databaseType.
  `String`
  `getDomain()`
  Returns the domain.
  `String`
  `getDriverName()`
  Returns the driverName.
  `DBHelper.ModelType`
  `getERwinModelType()`
  `String`
  `getKerberosPrincipal()`
  `int`
  `getMaximumConnectionsPerPartition()`
  Returns the maximumConnectionsPerPartition.
  `int`
  `getMinimumConnectionsPerPartition()`
  Returns the minimumConnectionsPerPartition.
  `String`
  `getOraclePIKProviderPosition()`
  `String`
  `getOracleWalletLocation()`
  `int`
  `getPartitions()`
  Returns the partitions.
  `boolean`
  `getRepmPasswordEncrypted()`
  `String`
  `getRepmSecretCode()`
  `boolean`
  `getRepmUserAvailable()`
  `String`
  `getRepmUserName()`
  `ArrayList<String>`
  `getSchemas()`
  Returns the schemas.
  `String`
  `getSecretCode()`
  Returns the password.
  `String`
  `getSnowflakeFetchMetadataBy()`
  `String`
  `getSnowflakeQueryType()`
  `int`
  `getSshPort()`
  `String`
  `getTestConnectionQuery()`
  Returns the testConnectionQuery as specified.
  `String`
  `getTestConnectionQueryOnCheckOut()`
  `String`
  `getTransactionIsolation()`
  `String`
  `getUrl()`
  Returns the URL.
  `String`
  `getUserName()`
  Returns the userName.
  `boolean`
  `isAutoCommit()`
  Returns the autoCommit value.
  `boolean`
  `isDumpFiles()`
  `boolean`
  `isHasAccessToDba()`
  `boolean`
  `isIsRsaKeyPairFlag()`
  `boolean`
  `isOracleEnableSSLConnection()`
  `boolean`
  `isOracleSSLServerDNMatch()`
  `String`
  `isReadOnly()`
  `boolean`
  `isSupportAutoCommit()`
  `boolean`
  `isTestConnectionOnCheckout()`
  `boolean`
  `isTestConnectionPeriodically()`
  Returns the value of testConnectionPeriodically.
  `void`
  `setAutoCommit(boolean autoCommit)`
  Sets the autoCommit value as specified.
  `void`
  `setConnectionPoolType(DBProperties.ConnectionPoolType connectionPoolType)`
  `void`
  `setDatabaseHost(String databaseHost)`
  Sets the databaseHost as specified.
  `void`
  `setDatabaseName(String databaseName)`
  Sets the databaseName as specified.
  `void`
  `setDatabaseOptions(String databaseOptions)`
  `void`
  `setDatabaseType(DBProperties.DatabaseType dbType)`
  Sets the databaseType as specified.
  `void`
  `setDomain(String domain)`
  Sets the domain as specified.
  `void`
  `setDriverName(String driverName)`
  Sets the driverName as specified.
  `void`
  `setDumpFiles(boolean dumpFiles)`
  `void`
  `setERwinModelType(DBHelper.ModelType erwinModelType)`
  `void`
  `setHasAccessToDba(boolean hasAccessToDba)`
  `void`
  `setIsRsaKeyPairFlag(boolean isRsaKeyPairFlag)`
  `void`
  `setKerberosPrincipal(String kerberosPrincipal)`
  `void`
  `setMaximumConnectionsPerPartition(int maximumConnectionsPerPartition)`
  Sets the maximumConnectionsPerPartition as specified.
  `void`
  `setMinimumConnectionsPerPartition(int minimumConnectionsPerPartition)`
  Sets the minimumConnectionsPerPartition as specified.
  `void`
  `setOracleEnableSSLConnection(boolean oracleEnableSSLConnection)`
  `void`
  `setOraclePIKProviderPosition(String oraclePIKProviderPosition)`
  `void`
  `setOracleSSLServerDNMatch(boolean oracleSSLServerDNMatch)`
  `void`
  `setOracleWalletLocation(String oracleWalletLocation)`
  `void`
  `setPartitions(int partitions)`
  Sets the partitions as specified.
  `void`
  `setReadOnly(String readOnly)`
  `void`
  `setRepmPasswordEncrypted(boolean repmPasswordEncrypted)`
  `void`
  `setRepmSecretCode(String repmSecretCode)`
  `void`
  `setRepmUserAvailable(boolean repmUserAvailable)`
  `void`
  `setRepmUserName(String repmUserName)`
  `void`
  `setSchemas(ArrayList<String> schemas)`
  Sets the schemas as specified.
  `void`
  `setSecretCode(String password)`
  Sets the password as specified.
  `void`
  `setSnowflakeFetchMetadataBy(String snowflakeFetchMetadataBy)`
  `void`
  `setSnowflakeQueryType(String snowflakeQueryType)`
  `void`
  `setSshPort(int sshPort)`
  `void`
  `setSupportAutoCommit(boolean supportAutoCommit)`
  `void`
  `setTestConnectionOnCheckout(boolean testConnectionOnCheckout)`
  `void`
  `setTestConnectionPeriodically(boolean _testConnectionPeriodically)`
  Sets the testConnectionPeriodically value as specified.
  `void`
  `setTestConnectionQuery(String _testConnectionQuery)`
  Sets the testConnectionQuery as specified.
  `void`
  `setTestConnectionQueryOnCheckOut(String _testConnectionQueryOnCheckOut)`
  `void`
  `setTransactionIsolation(String transactionIsolation)`
  `void`
  `setUrl(String url)`
  Sets the URL as specified.
  `void`
  `setUserName(String userName)`
  Sets the userName as specified.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DBProperties

    public DBProperties()

- ## Method Details

  - ### getConnectionPoolType

    public DBProperties.ConnectionPoolType getConnectionPoolType()
    Returns:
      the connectionPoolType

  - ### setConnectionPoolType

    public void setConnectionPoolType(DBProperties.ConnectionPoolType connectionPoolType)
    Parameters:
      `connectionPoolType` - the connectionPoolType to set

  - ### getERwinModelType

    public DBHelper.ModelType getERwinModelType()
    Returns:
      the erwinModelType

  - ### setERwinModelType

    public void setERwinModelType(DBHelper.ModelType erwinModelType)
    Parameters:
      `erwinModelType` - the erwinModelType to set

  - ### getSnowflakeFetchMetadataBy

    public String getSnowflakeFetchMetadataBy()

  - ### setSnowflakeFetchMetadataBy

    public void setSnowflakeFetchMetadataBy(String snowflakeFetchMetadataBy)

  - ### setSnowflakeQueryType

    public void setSnowflakeQueryType(String snowflakeQueryType)

  - ### getSnowflakeQueryType

    public String getSnowflakeQueryType()

  - ### isDumpFiles

    public boolean isDumpFiles()

  - ### setDumpFiles

    public void setDumpFiles(boolean dumpFiles)

  - ### getRepmPasswordEncrypted

    public boolean getRepmPasswordEncrypted()

  - ### setRepmPasswordEncrypted

    public void setRepmPasswordEncrypted(boolean repmPasswordEncrypted)

  - ### getRepmUserAvailable

    public boolean getRepmUserAvailable()

  - ### setRepmUserAvailable

    public void setRepmUserAvailable(boolean repmUserAvailable)

  - ### getRepmUserName

    public String getRepmUserName()

  - ### setRepmUserName

    public void setRepmUserName(String repmUserName)

  - ### getRepmSecretCode

    public String getRepmSecretCode()

  - ### setRepmSecretCode

    public void setRepmSecretCode(String repmSecretCode)

  - ### isIsRsaKeyPairFlag

    public boolean isIsRsaKeyPairFlag()

  - ### setIsRsaKeyPairFlag

    public void setIsRsaKeyPairFlag(boolean isRsaKeyPairFlag)

  - ### isTestConnectionOnCheckout

    public boolean isTestConnectionOnCheckout()

  - ### setTestConnectionOnCheckout

    public void setTestConnectionOnCheckout(boolean testConnectionOnCheckout)

  - ### getTestConnectionQueryOnCheckOut

    public String getTestConnectionQueryOnCheckOut()

  - ### setTestConnectionQueryOnCheckOut

    public void setTestConnectionQueryOnCheckOut(String _testConnectionQueryOnCheckOut)

  - ### getDomain

    public String getDomain()
    Returns the domain.
    Returns:
      domain String

  - ### setDomain

    public void setDomain(String domain)
    Sets the domain as specified.
    Parameters:
      `domain` - String

  - ### getDatabaseName

    public String getDatabaseName()
    Returns the databaseName.
    Returns:
      databaseName String

  - ### setDatabaseName

    public void setDatabaseName(String databaseName)
    Sets the databaseName as specified.
    Parameters:
      `databaseName` - String

  - ### getSchemas

    public ArrayList<String> getSchemas()
    Returns the schemas.
    Returns:
      schemas - ArrayList

  - ### setSchemas

    public void setSchemas(ArrayList<String> schemas)
    Sets the schemas as specified.
    Parameters:
      `schemas` - - ArrayList

  - ### getUrl

    public String getUrl()
    Returns the URL.
    Returns:
      URL String

  - ### getUserName

    public String getUserName()
    Returns the userName.
    Returns:
      userName String

  - ### getSecretCode

    public String getSecretCode()
    Returns the password.
    Returns:
      password String

  - ### getDriverName

    public String getDriverName()
    Returns the driverName.
    Returns:
      driverName String

  - ### getDatabaseType

    public DBProperties.DatabaseType getDatabaseType()
    Returns the databaseType.
    Returns:
      dbType DatabaseType

  - ### setDriverName

    public void setDriverName(String driverName)
    Sets the driverName as specified.
    Parameters:
      `driverName` - String

  - ### setUrl

    public void setUrl(String url)
    Sets the URL as specified.
    Parameters:
      `url` - String

  - ### setUserName

    public void setUserName(String userName)
    Sets the userName as specified.
    Parameters:
      `userName` - String

  - ### setSecretCode

    public void setSecretCode(String password)
    Sets the password as specified.
    Parameters:
      `password` - String

  - ### setDatabaseType

    public void setDatabaseType(DBProperties.DatabaseType dbType)
    Sets the databaseType as specified.
    Parameters:
      `dbType` - String

  - ### getPartitions

    public int getPartitions()
    Returns the partitions.
    Returns:
      partitions int

  - ### setPartitions

    public void setPartitions(int partitions)
    Sets the partitions as specified.
    Parameters:
      `partitions` - int

  - ### getMinimumConnectionsPerPartition

    public int getMinimumConnectionsPerPartition()
    Returns the minimumConnectionsPerPartition.
    Returns:
      minimumConnectionsPerPartition - int

  - ### setMinimumConnectionsPerPartition

    public void setMinimumConnectionsPerPartition(int minimumConnectionsPerPartition)
    Sets the minimumConnectionsPerPartition as specified.
    Parameters:
      `minimumConnectionsPerPartition` - int

  - ### getMaximumConnectionsPerPartition

    public int getMaximumConnectionsPerPartition()
    Returns the maximumConnectionsPerPartition.
    Returns:
      maximumConnectionsPerPartition int

  - ### setMaximumConnectionsPerPartition

    public void setMaximumConnectionsPerPartition(int maximumConnectionsPerPartition)
    Sets the maximumConnectionsPerPartition as specified.
    Parameters:
      `maximumConnectionsPerPartition` - int

  - ### isTestConnectionPeriodically

    public boolean isTestConnectionPeriodically()
    Returns the value of testConnectionPeriodically.
    Returns:
      testConnectionPeriodically - boolean

  - ### setTestConnectionPeriodically

    public void setTestConnectionPeriodically(boolean _testConnectionPeriodically)
    Sets the testConnectionPeriodically value as specified.
    Parameters:
      `_testConnectionPeriodically` - boolean

  - ### getTestConnectionQuery

    public String getTestConnectionQuery()
    Returns the testConnectionQuery as specified.
    Returns:
      testConnectionQuery String

  - ### setTestConnectionQuery

    public void setTestConnectionQuery(String _testConnectionQuery)
    Sets the testConnectionQuery as specified.
    Parameters:
      `_testConnectionQuery` - String

  - ### isAutoCommit

    public boolean isAutoCommit()
    Returns the autoCommit value.
    Returns:
      autoCommit boolean

  - ### setAutoCommit

    public void setAutoCommit(boolean autoCommit)
    Sets the autoCommit value as specified.
    Parameters:
      `autoCommit` - boolean

  - ### getDatabaseHost

    public String getDatabaseHost()
    Returns the databaseHost.
    Returns:
      databaseHost String

  - ### setDatabaseHost

    public void setDatabaseHost(String databaseHost)
    Sets the databaseHost as specified.
    Parameters:
      `databaseHost` - String

  - ### getTransactionIsolation

    public String getTransactionIsolation()
    Returns:

  - ### setTransactionIsolation

    public void setTransactionIsolation(String transactionIsolation)
    Parameters:
      `transactionIsolation` -

  - ### isReadOnly

    public String isReadOnly()
    Returns:

  - ### setReadOnly

    public void setReadOnly(String readOnly)
    Parameters:
      `readOnly` -

  - ### getKerberosPrincipal

    public String getKerberosPrincipal()
    Returns:

  - ### setKerberosPrincipal

    public void setKerberosPrincipal(String kerberosPrincipal)
    Parameters:
      `kerberosPrincipal` -

  - ### getSshPort

    public int getSshPort()
    Returns:

  - ### setSshPort

    public void setSshPort(int sshPort)
    Parameters:
      `sshPort` -

  - ### isOracleEnableSSLConnection

    public boolean isOracleEnableSSLConnection()

  - ### setOracleEnableSSLConnection

    public void setOracleEnableSSLConnection(boolean oracleEnableSSLConnection)

  - ### getOracleWalletLocation

    public String getOracleWalletLocation()

  - ### setOracleWalletLocation

    public void setOracleWalletLocation(String oracleWalletLocation)

  - ### getOraclePIKProviderPosition

    public String getOraclePIKProviderPosition()

  - ### setOraclePIKProviderPosition

    public void setOraclePIKProviderPosition(String oraclePIKProviderPosition)

  - ### isOracleSSLServerDNMatch

    public boolean isOracleSSLServerDNMatch()

  - ### setOracleSSLServerDNMatch

    public void setOracleSSLServerDNMatch(boolean oracleSSLServerDNMatch)

  - ### getDatabaseOptions

    public String getDatabaseOptions()

  - ### setDatabaseOptions

    public void setDatabaseOptions(String databaseOptions)

  - ### isSupportAutoCommit

    public boolean isSupportAutoCommit()

  - ### setSupportAutoCommit

    public void setSupportAutoCommit(boolean supportAutoCommit)

  - ### isHasAccessToDba

    public boolean isHasAccessToDba()

  - ### setHasAccessToDba

    public void setHasAccessToDba(boolean hasAccessToDba)